Bug 731588 - NMI Crash tracing back to ext4 code on IBM t60p
NMI Crash tracing back to ext4 code on IBM t60p
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2011-08-17 18:32 EDT by George B. Magklaras
Modified: 2012-05-14 14:06 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 14:06:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George B. Magklaras 2011-08-17 18:32:20 EDT
Description of problem:
On a fully updated FC15, the system crashes randomly (
NMI: PCI system error (SERR) for reason b1 on CPU0
...
kernel BUG at fs/ext4/mballoc.c:1703!
...
). This happens after the system comes back from hibernation (it takes a while), whilst performing different tasks (including playing Flash content in Firefox).

The system is OK hardware-wise (if I trust the Lenovo diagnostics) and has a brand new Kingston SSD drive.
 
Version-Release number of selected component (if applicable):
[root@branch1 ~]# uname -a
Linux branch1 2.6.40-4.fc15.x86_64 #1 SMP Fri Jul 29 18:46:53 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Consistently reproducible.

Steps to Reproduce:
1. Start the system and launch various applications (Thunderbird, Firefox with Flash Player running)
2. Hibernate the system.
3. Resume the system and wait for 10-20 mins
  
Actual results:
System should not crash

Expected results:
System crashes consistently 

Additional info:
[root@branch1 ~]# lspci -v
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express Memory Controller Hub (rev 03)
	Subsystem: Lenovo ThinkPad T60
	Flags: bus master, fast devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=09 <?>

00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT Express PCI Express Root Port (rev 03) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: ee100000-ee1fffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Capabilities: [88] Subsystem: Lenovo Device 2014
	Capabilities: [80] Power Management version 2
	Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [a0] Express Root Port (Slot+), MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [140] Root Complex Link
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, fast devsel, latency 0, IRQ 49
	Memory at ee400000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel
	Capabilities: [130] Root Complex Link
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: ee000000-ee0fffff
	Prefetchable memory behind bridge: 0000000040000000-00000000401fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Lenovo Device 2011
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00004000-00005fff
	Memory behind bridge: ec000000-edffffff
	Prefetchable memory behind bridge: 00000000e4000000-00000000e40fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Lenovo Device 2011
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=04, subordinate=0b, sec-latency=0
	I/O behind bridge: 00006000-00007fff
	Memory behind bridge: e8000000-e9ffffff
	Prefetchable memory behind bridge: 00000000e4100000-00000000e41fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Lenovo Device 2011
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4 (rev 02) (prog-if 00 [Normal decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=0c, subordinate=13, sec-latency=0
	I/O behind bridge: 00008000-00009fff
	Memory behind bridge: ea000000-ebffffff
	Prefetchable memory behind bridge: 00000000e4200000-00000000e42fffff
	Capabilities: [40] Express Root Port (Slot+), MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [90] Subsystem: Lenovo Device 2011
	Capabilities: [a0] Power Management version 2
	Capabilities: [100] Virtual Channel
	Capabilities: [180] Root Complex Link
	Kernel driver in use: pcieport
	Kernel modules: shpchp

00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at 1800 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0, IRQ 17
	I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0, IRQ 18
	I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02) (prog-if 00 [UHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0, IRQ 19
	I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02) (prog-if 20 [EHCI])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0, IRQ 19
	Memory at ee404000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Debug port: BAR=1 offset=00a0
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2) (prog-if 01 [Subtractive decode])
	Flags: bus master, fast devsel, latency 0
	Bus: primary=00, secondary=15, subordinate=18, sec-latency=32
	I/O behind bridge: 0000a000-0000dfff
	Memory behind bridge: e4300000-e7ffffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000e3ffffff
	Capabilities: [50] Subsystem: Lenovo Device 2013

00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0
	Capabilities: [e0] Vendor Specific Information: Len=0c <?>
	Kernel modules: leds-ss4200, iTCO_wdt, intel-rng

00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, medium devsel, latency 0, IRQ 16
	I/O ports at 01f0 [size=8]
	I/O ports at 03f4 [size=1]
	I/O ports at 0170 [size=8]
	I/O ports at 0374 [size=1]
	I/O ports at 1880 [size=16]
	Kernel driver in use: ata_piix
	Kernel modules: ata_generic, pata_acpi

00:1f.2 SATA controller: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA AHCI Controller (rev 02) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: bus master, 66MHz, medium devsel, latency 0, IRQ 45
	I/O ports at 18c8 [size=8]
	I/O ports at 18ac [size=4]
	I/O ports at 18c0 [size=8]
	I/O ports at 18a8 [size=4]
	I/O ports at 18b0 [size=16]
	Memory at ee404400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit-
	Capabilities: [70] Power Management version 2
	Kernel driver in use: ahci

00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
	Subsystem: Lenovo ThinkPad T60/R60 series
	Flags: medium devsel, IRQ 23
	I/O ports at 18e0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

01:00.0 VGA compatible controller: ATI Technologies Inc M56GL [Mobility FireGL V5250] (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device 20a4
	Flags: bus master, fast devsel, latency 0, IRQ 46
	Memory at d0000000 (32-bit, prefetchable) [size=256M]
	I/O ports at 2000 [size=256]
	Memory at ee100000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at ee120000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [80] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Kernel driver in use: radeon
	Kernel modules: radeon

02:00.0 Ethernet controller: Intel Corporation 82573L Gigabit Ethernet Controller
	Subsystem: Lenovo ThinkPad T60
	Physical Slot: 2
	Flags: bus master, fast devsel, latency 0, IRQ 47
	Memory at ee000000 (32-bit, non-prefetchable) [size=128K]
	I/O ports at 3000 [size=32]
	Capabilities: [c8] Power Management version 2
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-1a-6b-ff-ff-6a-db-00
	Kernel driver in use: e1000e
	Kernel modules: e1000e

03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
	Subsystem: Intel Corporation ThinkPad R60e/X60s
	Physical Slot: 3
	Flags: bus master, fast devsel, latency 0, IRQ 48
	Memory at edf00000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [c8] Power Management version 2
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Legacy Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-1b-77-ff-ff-53-39-57
	Kernel driver in use: iwl3945
	Kernel modules: iwl3945

15:00.0 CardBus bridge: Texas Instruments PCI1510 PC card Cardbus Controller
	Subsystem: Lenovo ThinkPad T60/R60 series
	Physical Slot: 1
	Flags: bus master, medium devsel, latency 168, IRQ 16
	Memory at e4300000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=15, secondary=16, subordinate=17, sec-latency=176
	Memory window 0: e0000000-e3fff000 (prefetchable)
	Memory window 1: 44000000-47fff000
	I/O window 0: 0000a000-0000a0ff
	I/O window 1: 0000a400-0000a4ff
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

In /var/log/messages I see the following which I guess are relevant:
Aug 17 21:51:02 branch1 kernel: [33970.515111] ------------[ cut here ]------------
Aug 17 21:51:02 branch1 kernel: [33970.515120] WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
Aug 17 21:51:02 branch1 kernel: [33970.515122] Hardware name: 8742C4G
Aug 17 21:51:02 branch1 kernel: [33970.515124] Modules linked in: tcp_lp fuse ebtable_nat ebtables rmd160 crypto_null camellia lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent blowfish twofish_generic ipt_MASQUERADE twofish_x86_64 twofish_common iptable_nat nf_nat xcbc sha256_generic sha512_generic des_generic xt_CHECKSUM iptable_mangle ah6 bridge ah4 esp6 esp4 stp llc xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm_ipcomp xfrm6_tunnel tunnel6 nfsd lockd af_key nfs_acl auth_rpcgss sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth arc4 microcode iwl3945 iwl_legacy iTCO_wdt iTCO_vendor_support snd_hda_codec_analog joydev snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm cfg80211 e1000e snd_timer thin
Aug 17 21:51:02 branch1 kernel: kpad_acpi snd_page_alloc nsc_ircc irda rfkill snd soundcore crc_ccitt virtio_net kvm_intel kvm yenta_socket video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 17 21:51:02 branch1 kernel: [33970.515212] Pid: 2155, comm: skype Not tainted 2.6.40-4.fc15.x86_64 #1
Aug 17 21:51:02 branch1 kernel: [33970.515214] Call Trace:
Aug 17 21:51:02 branch1 kernel: [33970.515221]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 17 21:51:02 branch1 kernel: [33970.515224]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
Aug 17 21:51:02 branch1 kernel: [33970.515227]  [<ffffffff81139c52>] unlock_new_inode+0x2e/0x4a
Aug 17 21:51:02 branch1 kernel: [33970.515232]  [<ffffffff81199faf>] ext4_new_inode+0xc88/0xd1d
Aug 17 21:51:02 branch1 kernel: [33970.515236]  [<ffffffff811a5049>] ext4_create+0xbc/0x13e
Aug 17 21:51:02 branch1 kernel: [33970.515240]  [<ffffffff811316d4>] vfs_create+0x6c/0x8e
Aug 17 21:51:02 branch1 kernel: [33970.515243]  [<ffffffff81131938>] do_last+0x242/0x581
Aug 17 21:51:02 branch1 kernel: [33970.515246]  [<ffffffff811327fc>] path_openat+0xc8/0x31c
Aug 17 21:51:02 branch1 kernel: [33970.515250]  [<ffffffff810f95e6>] ? handle_mm_fault+0x1c8/0x1db
Aug 17 21:51:02 branch1 kernel: [33970.515253]  [<ffffffff81132a88>] do_filp_open+0x38/0x86
Aug 17 21:51:02 branch1 kernel: [33970.515256]  [<ffffffff8113c341>] ? alloc_fd+0x72/0x11d
Aug 17 21:51:02 branch1 kernel: [33970.515260]  [<ffffffff81126404>] do_sys_open+0x6e/0x100
Aug 17 21:51:02 branch1 kernel: [33970.515264]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Aug 17 21:51:02 branch1 kernel: [33970.515268]  [<ffffffff81160a27>] compat_sys_open+0x1a/0x1c
Aug 17 21:51:02 branch1 kernel: [33970.515278]  [<ffffffff814bebc0>] sysenter_dispatch+0x7/0x2e
Aug 17 21:51:02 branch1 kernel: [33970.515280] ---[ end trace 0db5a35ec6877e79 ]---

...
Aug 17 21:51:22 branch1 kernel: [33989.630499] ------------[ cut here ]------------
Aug 17 21:51:22 branch1 kernel: [33989.630515] WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
Aug 17 21:51:22 branch1 kernel: [33989.630521] Hardware name: 8742C4G
Aug 17 21:51:22 branch1 kernel: [33989.630525] Modules linked in: tcp_lp fuse ebtable_nat ebtables rmd160 crypto_null camellia lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent blowfish twofish_generic ipt_MASQUERADE twofish_x86_64 twofish_common iptable_nat nf_nat xcbc sha256_generic sha512_generic des_generic xt_CHECKSUM iptable_mangle ah6 bridge ah4 esp6 esp4 stp llc xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm_ipcomp xfrm6_tunnel tunnel6 nfsd lockd af_key nfs_acl auth_rpcgss sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth arc4 microcode iwl3945 iwl_legacy iTCO_wdt iTCO_vendor_support snd_hda_codec_analog joydev snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm cfg80211 e1000e snd_timer thin
Aug 17 21:51:22 branch1 kernel: kpad_acpi snd_page_alloc nsc_ircc irda rfkill snd soundcore crc_ccitt virtio_net kvm_intel kvm yenta_socket video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 17 21:51:22 branch1 kernel: [33989.630712] Pid: 2155, comm: skype Tainted: G        W   2.6.40-4.fc15.x86_64 #1
Aug 17 21:51:22 branch1 kernel: [33989.630717] Call Trace:
Aug 17 21:51:22 branch1 kernel: [33989.630729]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 17 21:51:22 branch1 kernel: [33989.630738]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
Aug 17 21:51:22 branch1 kernel: [33989.630745]  [<ffffffff81139c52>] unlock_new_inode+0x2e/0x4a
Aug 17 21:51:22 branch1 kernel: [33989.630754]  [<ffffffff81199faf>] ext4_new_inode+0xc88/0xd1d
Aug 17 21:51:22 branch1 kernel: [33989.630763]  [<ffffffff811a5049>] ext4_create+0xbc/0x13e
Aug 17 21:51:22 branch1 kernel: [33989.630771]  [<ffffffff811316d4>] vfs_create+0x6c/0x8e
Aug 17 21:51:22 branch1 kernel: [33989.630777]  [<ffffffff81131938>] do_last+0x242/0x581
Aug 17 21:51:22 branch1 kernel: [33989.630784]  [<ffffffff811327fc>] path_openat+0xc8/0x31c
Aug 17 21:51:22 branch1 kernel: [33989.630793]  [<ffffffff8115d2a3>] ? locks_free_lock+0x46/0x4a
Aug 17 21:51:22 branch1 kernel: [33989.630801]  [<ffffffff8115d32d>] ? locks_delete_lock+0x86/0x8b
Aug 17 21:51:22 branch1 kernel: [33989.630836]  [<ffffffff81132a88>] do_filp_open+0x38/0x86
Aug 17 21:51:22 branch1 kernel: [33989.630844]  [<ffffffff8113c341>] ? alloc_fd+0x72/0x11d
Aug 17 21:51:22 branch1 kernel: [33989.630851]  [<ffffffff81126404>] do_sys_open+0x6e/0x100
Aug 17 21:51:22 branch1 kernel: [33989.630860]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Aug 17 21:51:22 branch1 kernel: [33989.630867]  [<ffffffff81160a27>] compat_sys_open+0x1a/0x1c
Aug 17 21:51:22 branch1 kernel: [33989.630876]  [<ffffffff814bebc0>] sysenter_dispatch+0x7/0x2e
Aug 17 21:51:22 branch1 kernel: [33989.630882] ---[ end trace 0db5a35ec6877e7a ]---
Aug 17 21:51:22 branch1 kernel: [33989.632296] ------------[ cut here ]------------
Aug 17 21:51:22 branch1 kernel: [33989.632307] WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
Aug 17 21:51:22 branch1 kernel: [33989.632312] Hardware name: 8742C4G
Aug 17 21:51:22 branch1 kernel: [33989.632316] Modules linked in: tcp_lp fuse ebtable_nat ebtables rmd160 crypto_null camellia lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent blowfish twofish_generic ipt_MASQUERADE twofish_x86_64 twofish_common iptable_nat nf_nat xcbc sha256_generic sha512_generic des_generic xt_CHECKSUM iptable_mangle ah6 bridge ah4 esp6 esp4 stp llc xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm_ipcomp xfrm6_tunnel tunnel6 nfsd lockd af_key nfs_acl auth_rpcgss sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth arc4 microcode iwl3945 iwl_legacy iTCO_wdt iTCO_vendor_support snd_hda_codec_analog joydev snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm cfg80211 e1000e snd_timer thin
Aug 17 21:51:22 branch1 kernel: kpad_acpi snd_page_alloc nsc_ircc irda rfkill snd soundcore crc_ccitt virtio_net kvm_intel kvm yenta_socket video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 17 21:51:22 branch1 kernel: [33989.632558] Pid: 2155, comm: skype Tainted: G        W   2.6.40-4.fc15.x86_64 #1
Aug 17 21:51:22 branch1 kernel: [33989.632562] Call Trace:
Aug 17 21:51:22 branch1 kernel: [33989.632572]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 17 21:51:22 branch1 kernel: [33989.632581]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
Aug 17 21:51:22 branch1 kernel: [33989.632587]  [<ffffffff81139c52>] unlock_new_inode+0x2e/0x4a
Aug 17 21:51:22 branch1 kernel: [33989.632595]  [<ffffffff81199faf>] ext4_new_inode+0xc88/0xd1d
Aug 17 21:51:22 branch1 kernel: [33989.632603]  [<ffffffff811a5049>] ext4_create+0xbc/0x13e
Aug 17 21:51:22 branch1 kernel: [33989.632610]  [<ffffffff811316d4>] vfs_create+0x6c/0x8e
Aug 17 21:51:22 branch1 kernel: [33989.632617]  [<ffffffff81131938>] do_last+0x242/0x581
Aug 17 21:51:22 branch1 kernel: [33989.632623]  [<ffffffff811327fc>] path_openat+0xc8/0x31c
Aug 17 21:51:22 branch1 kernel: [33989.632631]  [<ffffffff8115d2a3>] ? locks_free_lock+0x46/0x4a
Aug 17 21:51:22 branch1 kernel: [33989.632638]  [<ffffffff8115d32d>] ? locks_delete_lock+0x86/0x8b
Aug 17 21:51:22 branch1 kernel: [33989.632645]  [<ffffffff81132a88>] do_filp_open+0x38/0x86
Aug 17 21:51:22 branch1 kernel: [33989.632653]  [<ffffffff8113c341>] ? alloc_fd+0x72/0x11d
Aug 17 21:51:22 branch1 kernel: [33989.632660]  [<ffffffff81126404>] do_sys_open+0x6e/0x100
Aug 17 21:51:22 branch1 kernel: [33989.632667]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Aug 17 21:51:22 branch1 kernel: [33989.632679]  [<ffffffff81160a27>] compat_sys_open+0x1a/0x1c
Aug 17 21:51:22 branch1 kernel: [33989.632690]  [<ffffffff814bebc0>] sysenter_dispatch+0x7/0x2e
Aug 17 21:51:22 branch1 kernel: [33989.632698] ---[ end trace 0db5a35ec6877e7b ]---
Aug 17 21:51:23 branch1 kernel: [33990.916233] ------------[ cut here ]------------
Aug 17 21:51:23 branch1 kernel: [33990.916249] WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
Aug 17 21:51:23 branch1 kernel: [33990.916255] Hardware name: 8742C4G
Aug 17 21:51:23 branch1 kernel: [33990.916259] Modules linked in: tcp_lp fuse ebtable_nat ebtables rmd160 crypto_null camellia lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent blowfish twofish_generic ipt_MASQUERADE twofish_x86_64 twofish_common iptable_nat nf_nat xcbc sha256_generic sha512_generic des_generic xt_CHECKSUM iptable_mangle ah6 bridge ah4 esp6 esp4 stp llc xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm_ipcomp xfrm6_tunnel tunnel6 nfsd lockd af_key nfs_acl auth_rpcgss sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth arc4 microcode iwl3945 iwl_legacy iTCO_wdt iTCO_vendor_support snd_hda_codec_analog joydev snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm cfg80211 e1000e snd_timer thin
Aug 17 21:51:23 branch1 kernel: kpad_acpi snd_page_alloc nsc_ircc irda rfkill snd soundcore crc_ccitt virtio_net kvm_intel kvm yenta_socket video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 17 21:51:23 branch1 kernel: [33990.916445] Pid: 2155, comm: skype Tainted: G        W   2.6.40-4.fc15.x86_64 #1
Aug 17 21:51:23 branch1 kernel: [33990.916450] Call Trace:
Aug 17 21:51:23 branch1 kernel: [33990.916462]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 17 21:51:23 branch1 kernel: [33990.916471]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
Aug 17 21:51:23 branch1 kernel: [33990.916478]  [<ffffffff81139c52>] unlock_new_inode+0x2e/0x4a
Aug 17 21:51:23 branch1 kernel: [33990.916487]  [<ffffffff81199faf>] ext4_new_inode+0xc88/0xd1d
Aug 17 21:51:23 branch1 kernel: [33990.916496]  [<ffffffff811a5049>] ext4_create+0xbc/0x13e
Aug 17 21:51:23 branch1 kernel: [33990.916503]  [<ffffffff811316d4>] vfs_create+0x6c/0x8e
Aug 17 21:51:23 branch1 kernel: [33990.916510]  [<ffffffff81131938>] do_last+0x242/0x581
Aug 17 21:51:23 branch1 kernel: [33990.916517]  [<ffffffff811327fc>] path_openat+0xc8/0x31c
Aug 17 21:51:23 branch1 kernel: [33990.916526]  [<ffffffff8115d2a3>] ? locks_free_lock+0x46/0x4a
Aug 17 21:51:23 branch1 kernel: [33990.916533]  [<ffffffff8115d32d>] ? locks_delete_lock+0x86/0x8b
Aug 17 21:51:23 branch1 kernel: [33990.916540]  [<ffffffff81132a88>] do_filp_open+0x38/0x86
Aug 17 21:51:23 branch1 kernel: [33990.916548]  [<ffffffff8113c341>] ? alloc_fd+0x72/0x11d
Aug 17 21:51:23 branch1 kernel: [33990.916556]  [<ffffffff81126404>] do_sys_open+0x6e/0x100
Aug 17 21:51:23 branch1 kernel: [33990.916564]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Aug 17 21:51:23 branch1 kernel: [33990.916571]  [<ffffffff81160a27>] compat_sys_open+0x1a/0x1c
Aug 17 21:51:23 branch1 kernel: [33990.916580]  [<ffffffff814bebc0>] sysenter_dispatch+0x7/0x2e
Aug 17 21:51:23 branch1 kernel: [33990.916586] ---[ end trace 0db5a35ec6877e7c ]---
Aug 17 21:51:50 branch1 kernel: [34018.107723] ------------[ cut here ]------------
Aug 17 21:51:50 branch1 kernel: [34018.107740] WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
Aug 17 21:51:50 branch1 kernel: [34018.107746] Hardware name: 8742C4G
Aug 17 21:51:50 branch1 kernel: [34018.107750] Modules linked in: tcp_lp fuse ebtable_nat ebtables rmd160 crypto_null camellia lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent blowfish twofish_generic ipt_MASQUERADE twofish_x86_64 twofish_common iptable_nat nf_nat xcbc sha256_generic sha512_generic des_generic xt_CHECKSUM iptable_mangle ah6 bridge ah4 esp6 esp4 stp llc xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm_ipcomp xfrm6_tunnel tunnel6 nfsd lockd af_key nfs_acl auth_rpcgss sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth arc4 microcode iwl3945 iwl_legacy iTCO_wdt iTCO_vendor_support snd_hda_codec_analog joydev snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm cfg80211 e1000e snd_timer thin
Aug 17 21:51:50 branch1 kernel: kpad_acpi snd_page_alloc nsc_ircc irda rfkill snd soundcore crc_ccitt virtio_net kvm_intel kvm yenta_socket video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 17 21:51:50 branch1 kernel: [34018.107935] Pid: 2155, comm: skype Tainted: G        W   2.6.40-4.fc15.x86_64 #1
Aug 17 21:51:50 branch1 kernel: [34018.107940] Call Trace:
Aug 17 21:51:50 branch1 kernel: [34018.107952]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 17 21:51:50 branch1 kernel: [34018.107961]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
Aug 17 21:51:50 branch1 kernel: [34018.107968]  [<ffffffff81139c52>] unlock_new_inode+0x2e/0x4a
Aug 17 21:51:50 branch1 kernel: [34018.107977]  [<ffffffff81199faf>] ext4_new_inode+0xc88/0xd1d
Aug 17 21:51:50 branch1 kernel: [34018.107986]  [<ffffffff811a5049>] ext4_create+0xbc/0x13e
Aug 17 21:51:50 branch1 kernel: [34018.107994]  [<ffffffff811316d4>] vfs_create+0x6c/0x8e
Aug 17 21:51:50 branch1 kernel: [34018.108000]  [<ffffffff81131938>] do_last+0x242/0x581
Aug 17 21:51:50 branch1 kernel: [34018.108040]  [<ffffffff811327fc>] path_openat+0xc8/0x31c
Aug 17 21:51:50 branch1 kernel: [34018.108050]  [<ffffffff8115d2a3>] ? locks_free_lock+0x46/0x4a
Aug 17 21:51:50 branch1 kernel: [34018.108057]  [<ffffffff8115d32d>] ? locks_delete_lock+0x86/0x8b
Aug 17 21:51:50 branch1 kernel: [34018.108064]  [<ffffffff81132a88>] do_filp_open+0x38/0x86
Aug 17 21:51:50 branch1 kernel: [34018.108072]  [<ffffffff8113c341>] ? alloc_fd+0x72/0x11d
Aug 17 21:51:50 branch1 kernel: [34018.108079]  [<ffffffff81126404>] do_sys_open+0x6e/0x100
Aug 17 21:51:50 branch1 kernel: [34018.108088]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Aug 17 21:51:50 branch1 kernel: [34018.108095]  [<ffffffff81160a27>] compat_sys_open+0x1a/0x1c
Aug 17 21:51:50 branch1 kernel: [34018.108104]  [<ffffffff814bebc0>] sysenter_dispatch+0x7/0x2e
Aug 17 21:51:50 branch1 kernel: [34018.108110] ---[ end trace 0db5a35ec6877e7d ]---
Aug 17 21:52:03 branch1 kernel: [34030.590902] ------------[ cut here ]------------
Aug 17 21:52:03 branch1 kernel: [34030.590919] WARNING: at fs/inode.c:901 unlock_new_inode+0x2e/0x4a()
Aug 17 21:52:03 branch1 kernel: [34030.590925] Hardware name: 8742C4G
Aug 17 21:52:03 branch1 kernel: [34030.590929] Modules linked in: tcp_lp fuse ebtable_nat ebtables rmd160 crypto_null camellia lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent blowfish twofish_generic ipt_MASQUERADE twofish_x86_64 twofish_common iptable_nat nf_nat xcbc sha256_generic sha512_generic des_generic xt_CHECKSUM iptable_mangle ah6 bridge ah4 esp6 esp4 stp llc xfrm4_mode_beet xfrm4_tunnel tunnel4 xfrm4_mode_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet xfrm6_mode_tunnel ipcomp ipcomp6 xfrm_ipcomp xfrm6_tunnel tunnel6 nfsd lockd af_key nfs_acl auth_rpcgss sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb bluetooth arc4 microcode iwl3945 iwl_legacy iTCO_wdt iTCO_vendor_support snd_hda_codec_analog joydev snd_hda_intel snd_hda_codec mac80211 snd_hwdep snd_seq snd_seq_device i2c_i801 snd_pcm cfg80211 e1000e snd_timer thin
Aug 17 21:52:03 branch1 kernel: kpad_acpi snd_page_alloc nsc_ircc irda rfkill snd soundcore crc_ccitt virtio_net kvm_intel kvm yenta_socket video radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Aug 17 21:52:03 branch1 kernel: [34030.591147] Pid: 2155, comm: skype Tainted: G        W   2.6.40-4.fc15.x86_64 #1
Aug 17 21:52:03 branch1 kernel: [34030.591152] Call Trace:
Aug 17 21:52:03 branch1 kernel: [34030.591165]  [<ffffffff81054c8e>] warn_slowpath_common+0x83/0x9b
Aug 17 21:52:03 branch1 kernel: [34030.591174]  [<ffffffff81054cc0>] warn_slowpath_null+0x1a/0x1c
Aug 17 21:52:03 branch1 kernel: [34030.591181]  [<ffffffff81139c52>] unlock_new_inode+0x2e/0x4a
Aug 17 21:52:03 branch1 kernel: [34030.591190]  [<ffffffff81199faf>] ext4_new_inode+0xc88/0xd1d
Aug 17 21:52:03 branch1 kernel: [34030.591199]  [<ffffffff811a5049>] ext4_create+0xbc/0x13e
Aug 17 21:52:03 branch1 kernel: [34030.591207]  [<ffffffff811316d4>] vfs_create+0x6c/0x8e
Aug 17 21:52:03 branch1 kernel: [34030.591214]  [<ffffffff81131938>] do_last+0x242/0x581
Aug 17 21:52:03 branch1 kernel: [34030.591221]  [<ffffffff811327fc>] path_openat+0xc8/0x31c
Aug 17 21:52:03 branch1 kernel: [34030.591230]  [<ffffffff8115d2a3>] ? locks_free_lock+0x46/0x4a
Aug 17 21:52:03 branch1 kernel: [34030.591237]  [<ffffffff8115d32d>] ? locks_delete_lock+0x86/0x8b
Aug 17 21:52:03 branch1 kernel: [34030.591245]  [<ffffffff81132a88>] do_filp_open+0x38/0x86
Aug 17 21:52:03 branch1 kernel: [34030.591252]  [<ffffffff8113c341>] ? alloc_fd+0x72/0x11d
Aug 17 21:52:03 branch1 kernel: [34030.591260]  [<ffffffff81126404>] do_sys_open+0x6e/0x100
Aug 17 21:52:03 branch1 kernel: [34030.591269]  [<ffffffff810a0c7c>] ? audit_syscall_entry+0x145/0x171
Aug 17 21:52:03 branch1 kernel: [34030.591276]  [<ffffffff81160a27>] compat_sys_open+0x1a/0x1c
Aug 17 21:52:03 branch1 kernel: [34030.591285]  [<ffffffff814bebc0>] sysenter_dispatch+0x7/0x2e
Aug 17 21:52:03 branch1 kernel: [34030.591291] ---[ end trace 0db5a35ec6877e7e ]---
Comment 1 Don Zickus 2011-08-22 09:01:25 EDT
Hi George,

You have a lot going on there.  Multiple warnings and an unknown NMI.  What happens if you repeat the same set of tests but don't have skype running?  That should make a bunch of the warnings go away it seems.

I also don't know what is making you machine crash. Those stack traces are just warnings.  Is it possible to take a picture of the screen when it crashes and attach it.

You also mentioned that it can take 10-20 minutes after resume before it dies.  Can you save the output of dmesg into a file and attach it after you resume.  I want to be able to determine which problems are the result of a resume and which are something else.  You can do this with 'dmesg > /tmp/dmesg.log'.

Thanks,
Don
Comment 2 Dave Jones 2011-09-01 12:48:43 EDT
Eric, do those ext4 errors seem like something that could just be fallout from the NMI problem, or something else ?
Comment 3 Don Zickus 2011-09-02 14:17:25 EDT
If the disk went out to lunch, it might cause the NMI problems and I assume the ext4 problems.  Though I assumed the block I/O layer would have balked first.

Cheers,
Don
Comment 4 Dave Jones 2012-04-11 11:26:20 EDT
This might have been related to the i915 memory corruption bug that was fixed in 2.6.43 recently.

The NMI could feasibly have been generated if that corrupter had scribbled to a non-ram address.

George, can you retry with that update, and see if the problem is solved ?

Note You need to log in before you can comment on or make changes to this bug.